Bug 806757 - [ovirt] [vdsm] guest video device is corrupted during saving state
[ovirt] [vdsm] guest video device is corrupted during saving state
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Igor Lvovsky
Omri Hochman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 03:29 EDT by Haim
Modified: 2014-01-12 19:51 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 13:56:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (834.11 KB, application/x-gzip)
2012-04-19 05:07 EDT, Dafna Ron
no flags Details

  None (edit)
Description Haim 2012-03-26 03:29:08 EDT
Description of problem:

- start vm with Spice console e
- suspend vm 
- restore vm 

the guest params, in our case, video devices configuration, gets corrupted during the saving state (parameters to save). 
we are not sure wither its a problem with the function of saving the configuration, or the extraction. 

result: vdsm is failed to restore the vm, qemu process dies, and vm gets re-run on different host if exits.
Comment 1 Igor Lvovsky 2012-03-26 09:50:27 EDT
http://gerrit.ovirt.org/#change,3107,patchset=1
Comment 4 Dafna Ron 2012-04-19 05:02:28 EDT
this was only fixed for vm's that are created as new or as cloned (meaning they are not linked to template) 
vm's that are created as thin (linked to template) are still rerun on other host after restoring. 

reproduce:
1) create a vm from template with thin provision
2) rn vm -> suspend -> resume. 

vdsm + backend logs will be attached.
Comment 5 Dafna Ron 2012-04-19 05:07:51 EDT
Created attachment 578548 [details]
logs

vm XP was run first on blond-vdsh and rerun after suspend on orange-vdsd.
Comment 6 Dafna Ron 2012-04-23 09:06:12 EDT
I retested this and the vm is starting on a different host but without the same error. 
so I am verifying this bug on vdsm-4.9.6-8.el6.x86_64
Comment 9 errata-xmlrpc 2012-12-04 13:56:41 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.